@echo off
:*****************************************************************************
:
: Name:  INSTALL.BAT
:
: Function:
:       Installs release software from release diskette to user drives.
:
: Version:
:   V3.10	Fri Jul 15 1994 15:20:39 johnk	Edit Level 7
:
:
: Copyright notice:
:       COPYRIGHT (C) 1991-1994 DATABOOK INCORPORATED. ALL RIGHTS RESERVED.
:
:       --------------------------------------------------------------
:       THIS PROGRAM CONTAINS INFORMATION PROPRIETARY TO DATABOOK INC.
:       AND MAY NOT BE DISCLOSED TO ANY PARTIES WITHOUT THE WRITTEN
:       CONSENT OF AN OFFICER OF DATABOOK INC.
:       --------------------------------------------------------------
:
:               Databook Inc.
:               112 Prospect Street
:               Babcock Hall
:               Ithaca, NY  14850
:
:       An unpublished work.  All rights reserved.
:
: Author:
:       John Keys  Databook Inc.        Oct 1992
:
: Revision History:
:   3.00 Beta Tue Dec 20 1993 kjl
:   3.00p2 Beta Thurs Feb 24 1993 kjl
:   3.00        Mon   Mar 07 1994 js
:   3.01        Wed   Apr 13 1994 prs
:   3.02        Fri   Apr 15 1994 prs
:   3.03	Thu   May 19 1994 johnk
:   3.10	Fri   Jul 15 1994 johnk - Gathered version specifics together
:		Thu   Aug 11 1994 johnk - Add is_dir utility ("if exist" bug)
:*****************************************************************************

:
:Version specific env vars - gather v-dep items to one location
:
set LONGVER=3.10
set SHORTVER=310
set RELNOTES=10085g.doc
		  
echo.
echo Databook CardTalk OEMAK Version %LONGVER% Installation
echo Copyright (C) Databook, Inc. 1994   
echo.
:Validate that we got the correct parameters. We need two..
:  %1 is the source drive with the release diskette
:  %2 is the destinaton drive and directory to install to.
:
if "%1" == "" goto parm_err
if "%2" == "" goto parm_err


: Tell the user what we're about to do to give them a chance to 
: changed their minds and abort the installation...always a good
: idea.
:
echo This program will install the contents of the release diskette from
echo drive %1 to the drive and directory specified by "%2".  
echo "%2" should be a new directory.
pause


: Check to see if the directory exists before doing a MKDIR. This allows us
: to avoid the error that would be generated if we do mkdir and the directory
: already exists, but allows us to trap the error when the directory really
: cannot be made.
:
: Check to see if the directory exists before doing a MKDIR. This allows us
: to avoid the error that would be generated if we do mkdir and the directory
: already exists, but allows us to trap the error when the directory really
: cannot be made.
:
echo checking for existence of %2 directory
%1\is_dir %2
if not errorlevel 1 goto tgtdir_exists

: doesn't exist, make the directory
echo making %2 directory
mkdir %2 

: abort if unable to create directory
%1\is_dir %2
if not errorlevel 1 goto tgtdir_made
echo installation stopped
goto done


:tgtdir_exists
echo %2 directory already exists.
echo Files already in this directory. Remove directory or select another name
echo and rerun installation procedure.
goto done

:tgtdir_made
echo Copying files
xcopy %1\*.* %2\*.* /s

echo Decompressing files
%2\lharc.exe x -rmc %2\utility.lzh %2\cardtalk\
del %2\utility.lzh >nul

%2\lharc.exe x -rmc %2\drivers.lzh %2\cardtalk\
del %2\drivers.lzh >nul

%2\lharc.exe x -rmc %2\thincard.lzh %2\thincard\
del %2\thincard.lzh >nul

md %2\tcicdbg
%2\lharc.exe x -rmc %2\tcicdbg.lzh %2\tcicdbg\
del %2\tcicdbg.lzh >nul

md %2\oemak
%2\lharc.exe x -rmc %2\oemak.lzh %2\oemak\
del %2\oemak.lzh >nul

md %2\doc
%2\lharc.exe x -rmc %2\doc.lzh %2\doc\
del %2\doc.lzh >nul

del %2\lharc.exe >nul

:no_unpak
echo Install complete.
echo.
echo PLEASE SEE README.1ST 
echo.
echo For information on how to use this kit, see %2\doc\%RELNOTES%, 
echo a Microsoft Word-for-Windows document.                  
echo.
goto done

:parm_err
echo Usage: INSTALL [Drive with OEMAK diskette:]  [install destination]
echo.
echo Example:  b:install b: \oakv%SHORTVER%
echo.
rem
rem Warning, using a drive letter in front of the target directory, for
rem example, c:\oakv%SHORTVER%, will cause an error with DOS 6.0.  This problem
rem seems to have been fixed in DOS 6.2.
rem

:done
set LONGVER=
set SHORTVER=
set RELNOTES=
rem --- end of file ---
